#1782 EditorConfig should create cacheDir under getPluginHome()

None
closed-fixed
Hong Xu
None
5
4 days ago
2014-04-15
Alan Ezust
No

Whenever EditorConfig plugin starts, it creates a "cachedir" under the current working directory i started jEdit from. Now i have tons of cachedirs everywhere. It should create this cacheDir under the getPluginHome() dir of the EditPlugin API and set "usePluginHome" to true

Related

Plugin Bugs: #1782

Discussion

  • Alan Ezust
    Alan Ezust
    2014-04-15

    • Description has changed:

    Diff:

    --- old
    +++ new
    @@ -1 +1 @@
    -Whenever EditorConfig plugin starts, it creates a "cachedir" under the current working directory. It should create this cacheDir under the getPluginHome() dir of the EditPlugin API and set "usePluginHome" to true
    +Whenever EditorConfig plugin starts, it creates a "cachedir" under the current working directory i started jEdit from. Now i have tons of cachedirs everywhere. It should create this cacheDir under the getPluginHome() dir of the EditPlugin API and set "usePluginHome" to true
    
    • Group: -->
     
  • Hong Xu
    Hong Xu
    2014-04-15

    EditorConfig doesn't create any "cachedir", but Jython does. On my system, everything works fine, so I think you might have something wrong with your global Jython configuration. See here, the "cachedir" option and registry file location.

     
  • Alan Ezust
    Alan Ezust
    2014-04-17

    The instructions you linked to seem to indicate that if I create a ~/.jython file with a line like this in it:
    python.cachedir=/home/ezust/.jedit/editorconfig/cachedir
    Then it should create future cachedir files there. But it does not.
    There is no jython.jar in my classpath, so jython can't find itself.

    Are you saying that when you run a shell script of jEdit from Linux it doesn't do this for you? I can try it on another platform if you don't have access to a linux system.

     
    Last edit: Alan Ezust 2014-04-25
  • Hong Xu
    Hong Xu
    2014-04-17

    Alan, I think you are right about the link I gave.

    I currently have OS X and it works without creating any cachedir; I used to have a Linux which also didn't create such directories. It would be best if you can try a different environment.

     
  • Alan Ezust
    Alan Ezust
    2014-04-17

    I can reproduce this under MacOSx also, but you must make sure it is not already running in jedit server mode first, and run it from a shell script from the bash command line. When that happens, I always see a cachedir created under that directory after jEdit startup, but only if EditorConfig is installed.

    Note: EditorConfig packages its own version of Jython which has nothing to do with the JythonInterpreter plugin.

     
  • Hong Xu
    Hong Xu
    2014-04-25

    Sorry for the delay, I thought I have replied.

    Yes, I did run it from command line. I think updating the Jython version could solve this problem. Could you try to build it from the attachment?

    Thanks!

     
  • Alan Ezust
    Alan Ezust
    2014-05-04

    I tried the version you attached.
    Which problem? That of my .jython python.cachedir preferences being ignored?
    If so, that problem still exists for me. I have ~/.jython file with only one line in it.
    python.cachedir=/home/ezust/cachedir

    and if I run my jedit shell script from any other folder, it still creates a cachedir in that location.

    Personally, I'd prefer if it would override the environment of its embedded jython somehow so that it is not necessary for me to create a ~/.jython file and it would still always use the same location, and have it be somewhere under the EditPlugin.getPluginHome() directory.

     
    Last edit: Alan Ezust 2014-05-04
  • Alan Ezust
    Alan Ezust
    2014-05-04

    Also, the fact that EditorConfig packages its own Jython and doesn't reuse the JythonInterpreter plugin makes me sad.

     
  • Hong Xu
    Hong Xu
    2014-05-04

    Alan, recently a pure Java EditorConfig library came out: https://github.com/editorconfig/editorconfig-core-java

    After the migration, this problem should disappear, since no Jython will be used.

     
  • On May 4, 2014 11:37 AM, "Alan Ezust" ezust@users.sf.net wrote:

    Which problem? That of my .jython python.cachedir preferences being
    ignored?
    If so, that problem still exists for me. I have ~/.jython file with only
    one line in it.
    python.cachedir=/home/ezust/cachedir

    and if I run my jedit shell script from any other folder, it still creates
    a cachedir in that location.

    Personally, I'd prefer if it would override the environment of its
    embedded jython somehow so that it is not necessary for me to create a
    ~/.jython file and it would still always use the same location, and have it
    be somewhere under the EditPlugin.getPluginHome() directory.


    Status: open
    Group:
    Created: Tue Apr 15, 2014 09:06 PM UTC by Alan Ezust
    Last Updated: Fri Apr 25, 2014 08:48 PM UTC
    Owner: Hong Xu

    Whenever EditorConfig plugin starts, it creates a "cachedir" under the
    current working directory i started jEdit from. Now i have tons of
    cachedirs everywhere. It should create this cacheDir under the
    getPluginHome() dir of the EditPlugin API and set "usePluginHome" to true


    Sent from sourceforge.net because jedit-devel@lists.sourceforge.net is
    subscribed to https://sourceforge.net/p/jedit/plugin-bugs/

    To unsubscribe from further messages, a project admin can change settings
    at https://sourceforge.net/p/jedit/admin/plugin-bugs/options. Or, if this
    is a mailing list, you can unsubscribe from the mailing list.


    "Accelerate Dev Cycles with Automated Cross-Browser Testing - For FREE
    Instantly run your Selenium tests across 300+ browser/OS combos. Get
    unparalleled scalability from the best Selenium testing platform available.
    Simple to use. Nothing to install. Get started now for free."
    http://p.sf.net/sfu/SauceLabs
    --


    jEdit Developers' List
    jEdit-devel@lists.sourceforge.net
    https://lists.sourceforge.net/lists/listinfo/jedit-devel

     

    Related

    Plugin Bugs: #1782

  • Hong Xu
    Hong Xu
    2014-05-17

    Hi Alan and Howard,

    I've updated the plugin to a new version 0.6 (check the tag list), which has avoided the usage of Jython. Could you try them out and publish it on the plugin center?

    Thanks!

     
  • Alan Ezust
    Alan Ezust
    2014-07-03

    • status: open --> closed-fixed
     
  • Alan Ezust
    Alan Ezust
    2014-07-03

    Newer version of EditorConfig no longer creates cachedir file, so this issue is closed!
    thanks, hong xu!